CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		vibrationmeterd
} else {
	TARGET =		vibrationmeter
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui \
					sensors

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}
SOURCES += 			src/main.cpp\
					src/button.cpp \
        			src/vibrationmeter.cpp \
        			../core/graphwidget.cpp \
        			../core/signalprocessing.cpp \
        			../core/vector2.cpp \
        			../core/vector3.cpp

HEADERS  +=			src/button.h \
					src/vibrationmeter.h \
        			../core/graphwidget.h \
        			../core/signalprocessing.h \
        			../core/vector2.h \
        			../core/vector3.h

RESOURCES +=		res/vibrationmeter.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/vibrationmeter
}
target.path =		$$PREFIX
target.files =		bin/vibrationmeter
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/vibrationmeter
}

win32 {
RC_FILE =			res/resource.rc
}


android {
CONFIG +=			mobility
}

DISTFILES += \
    android/AndroidManifest.xml \
    android/gradle/wrapper/gradle-wrapper.jar \
    android/gradlew \
    android/res/values/libs.xml \
    android/build.gradle \
    android/gradle/wrapper/gradle-wrapper.properties \
    android/gradlew.bat

ANDROID_PACKAGE_SOURCE_DIR = $$PWD/android
